import { ParallelStructure, StructureType } from "jalhyd";
import { SelectField } from "./select-field";
import { SelectEntry } from "./select-entry";

/*
    "id": "select_structure",
    "type": "select",
    "property": "structureType",
    "source": "device_structure_type"
*/

export class SelectFieldDeviceStructureType extends SelectField {
    protected populate() {
        // possible values depend on CalcType
        for (const st in (this.nub as ParallelStructure).getLoisAdmissibles()) {
            const e: SelectEntry = new SelectEntry(this._entriesBaseId + st, StructureType[st]);
            this.addEntry(e);
        }
    }

    protected initSelectedValue() {
        this.findAndSetDefaultValue();
    }

    public get associatedProperty(): string {
        return "structureType";
    }

    public get configDefaultValue(): string {
        return undefined;
    }
}